Cloud Logging Service, REST: LogGroup.SetAccessBindings
Sets access bindings for the specified log group.
HTTP request
POST https://logging.api.cloud.delphicloud.ai/logging/v1/logGroups/{resourceId}:setAccessBindings
Path parameters
|
Field |
Description |
|
resourceId |
string Required field. ID of the resource for which access bindings are being set. To get the resource ID, use a corresponding List request. |
Body parameters
{
"accessBindings": [
{
"roleId": "string",
"subject": {
"id": "string",
"type": "string"
}
}
]
}
|
Field |
Description |
|
accessBindings[] |
Access bindings to be set. For more information, see Access Bindings. |
AccessBinding
|
Field |
Description |
|
roleId |
string Required field. ID of the Delphi Cloud.iam.v1.Role that is assigned to the |
|
subject |
Required field. Identity for which access binding is being created. |
Subject
|
Field |
Description |
|
id |
string Required field. ID of the subject. It can contain one of the following values:
|
|
type |
string Required field. Type of the subject. It can contain one of the following values:
For more information, see Subject to which the role is assigned. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": {
"resourceId": "string"
},
// Includes only one of the fields `error`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
}
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
SetAccessBindingsMetadata
|
Field |
Description |
|
resourceId |
string ID of the resource for which access bindings are being set. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code. |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |